Show / Hide Table of Contents

# Class CertificateSelectionEventArgs

An argument passed on to user for client certificate selection during mutual SSL authentication.

##### Inheritance

Object
CertificateSelectionEventArgs

###### Namespace: Titanium.Web.Proxy.EventArguments

###### Assembly: Titanium.Web.Proxy.dll

##### Syntax

    public class CertificateSelectionEventArgs : ProxyEventArgsBase

### Constructors

| Improve this Doc View Source

#### CertificateSelectionEventArgs(SessionEventArgsBase, String, X509CertificateCollection, X509Certificate, String[])

##### Declaration

    public CertificateSelectionEventArgs(SessionEventArgsBase session, string targetHost, X509CertificateCollection localCertificates, X509Certificate remoteCertificate, string[] acceptableIssuers)

##### Parameters

Type | Name | Description
--- | --- | ---
SessionEventArgsBase | session |
String | targetHost |
X509CertificateCollection | localCertificates |
X509Certificate | remoteCertificate |
String[] | acceptableIssuers |

### Properties

| Improve this Doc View Source

#### AcceptableIssuers

Acceptable issuers as listed by remote server.

##### Declaration

    public string[] AcceptableIssuers { get; }

##### Property Value

Type | Description
--- | ---
String[] |

| Improve this Doc View Source

#### ClientCertificate

Client Certificate we selected. Set this value to override.

##### Declaration

    public X509Certificate ClientCertificate { get; set; }

##### Property Value

Type | Description
--- | ---
X509Certificate |

| Improve this Doc View Source

#### LocalCertificates

Local certificates in store with matching issuers requested by TargetHost website.

##### Declaration

    public X509CertificateCollection LocalCertificates { get; }

##### Property Value

Type | Description
--- | ---
X509CertificateCollection |

| Improve this Doc View Source

#### RemoteCertificate

Certificate of the remote server.

##### Declaration

    public X509Certificate RemoteCertificate { get; }

##### Property Value

Type | Description
--- | ---
X509Certificate |

| Improve this Doc View Source

#### Session

##### Declaration

    public SessionEventArgsBase Session { get; }

##### Property Value

Type | Description
--- | ---
SessionEventArgsBase | The session.

| Improve this Doc View Source

#### TargetHost

The remote hostname to which we are authenticating against.

##### Declaration

    public string TargetHost { get; }

##### Property Value

Type | Description
--- | ---
String |